#cs ----------------------------------------------------------------------------

	AutoIt Version: 3.3.6.0
	Author:         peethebee

	Script Function:
		Show how some web page looks in all five major browsers.

#ce ----------------------------------------------------------------------------

#include <Array.au3>
#include <GDIPlus.au3>
#include <ScreenCapture.au3>

Opt("WinTitleMatchMode", 2)

; defaults
$width = IniRead(@ScriptDir & "\settings.ini", "Global", "width", "1000")
$height = IniRead(@ScriptDir & "\settings.ini", "Global", "height", "800")

; Generate single Screenshots
$counter = 1
While (IniRead(@ScriptDir & "\settings.ini", "Browsers", "process" & $counter, "ERROR") <> "ERROR")
	; kill old
	ProcessClose(IniRead(@ScriptDir & "\settings.ini", "Browsers", "process" & $counter, "ERROR"))

	; run
	Run(StringFormat(IniRead(@ScriptDir & "\settings.ini", "Browsers", "start" & $counter, "ERROR"), IniRead(@ScriptDir & "\settings.ini", "Global", "url", "ERROR")))
	; resize
	WinWait(IniRead(@ScriptDir & "\settings.ini", "Browsers", "title" & $counter, "ERROR"), "", 15)
	$hwnd = WinGetHandle(IniRead(@ScriptDir & "\settings.ini", "Browsers", "title" & $counter, "ERROR"))
	MouseMove(@DesktopWidth, 0)
	WinMove($hwnd, "", 0, 0, $width, $height)
	; wait for load
	Sleep(IniRead(@ScriptDir & "\settings.ini", "Global", "waitForLoading", "5000"))
	; take shot
	WinActivate($hwnd)
	FileDelete(@ScriptDir & "\" & IniRead(@ScriptDir & "\settings.ini", "Browsers", "process" & $counter, "ERROR") & ".jpg")
	_ScreenCapture_CaptureWnd(@ScriptDir & "\" & IniRead(@ScriptDir & "\settings.ini", "Browsers", "process" & $counter, "ERROR") & ".jpg", $hwnd)

	; kill used
	ProcessClose(IniRead(@ScriptDir & "\settings.ini", "Browsers", "process" & $counter, "ERROR"))

	$counter += 1
WEnd

; big image creation

_GDIPlus_Startup()
$hBitmap = _GDIPlus_BitMapCreate($width * 3, $height * 2)
$draw = _GDIPlus_ImageGetGraphicsContext($hBitmap)

$counter = 1
$x = 0
$y = 0
While (IniRead(@ScriptDir & "\settings.ini", "Browsers", "process" & $counter, "ERROR") <> "ERROR")
	$hImage2 = _GDIPlus_BitmapCreateFromFile(@ScriptDir & "\" & IniRead(@ScriptDir & "\settings.ini", "Browsers", "process" & $counter, "ERROR") & ".jpg")

	_GDIPlus_GraphicsDrawImage($draw, $hImage2, $x, $y)
	$x += $width
	If Mod($counter, 3) == 0 Then
		$y += $height
		$x = 0
	EndIf

	$counter += 1
WEnd

; Speichert das neue Bild
FileDelete(@ScriptDir & "\result.jpg")
_GDIPlus_ImageSaveToFile($hBitmap, @ScriptDir & "\result.jpg")

; Ressourcen freigeben
_GDIPlus_ImageDispose($hImage2)
_WinAPI_DeleteObject($draw)
_WinAPI_DeleteObject($hBitmap)
_GDIPlus_Shutdown()


Func _GDIPlus_BitmapCreate($iWidth, $iHeight)
	; Author: ProgAndy DANKE!
	If $iWidth < 1 Or $iHeight < 1 Then Return SetError(2, 0, 0)
	Local $hGraphics = _GDIPlus_GraphicsCreateFromHWND(_WinAPI_GetDesktopWindow())
	Local $hBitmap = _GDIPlus_BitmapCreateFromGraphics($iWidth, $iHeight, $hGraphics)
	_GDIPlus_GraphicsDispose($hGraphics)
	Return SetError($hBitmap = 0, 0, $hBitmap)
EndFunc   ;==>_GDIPlus_BitmapCreate
